Endpoint Agent and Server Version Compatibility

book

Article ID: 159986

calendar_today

Updated On:

Products

Data Loss Prevention Endpoint Prevent

Issue/Introduction

The Endpoint Server needs be at the same or higher level than the Endpoint Agent.

Resolution

    Supported backward compatibility   
       
Enforce Server version Endpoint Server version Symantec DLP Agent version Results
15.5 15.5 15.5 All incidents are sent to the Enforce Server.
Policy and configuration updates can be sent to the Endpoint Servers
and agents.
15.5 15.5 15.1
15.0
All incidents are sent to the Enforce Server.
Policy and configuration updates can be sent to the Endpoint Servers
and agents
15.5 15.5 14.6
14.5
14.0
Agents and the Endpoint Server send incidents based on existing
policies that were configured before the upgrade.
Policies and configuration settings can be sent to agents. However,
new policy rules introduced in a given release are not supported by
earlier agents; in general, new policy rules are supported by the
same agent version in which the rule is introduced.
Note: Version 12.5.x agents display on the Agent Overview screen.
However, you cannot complete maintenance or troubleshooting steps
for them, and policies and configuration settings cannot be sent to
them and incidents are not received. Upgrade these agents to version
14.0 then to version 15.5.
15.5 "15.0 14.6
14.5
14.0
Agents and the Endpoint Server send incidents based on existing
policies that were configured before the upgrade.
Policies and configuration settings can be sent to agents. However,
new policy rules introduced in a given release are not supported by
earlier agents; in general, new policy rules are supported by the
same agent version in which the rule is introduced.
Note: Version 12.5.x agents display on the Agent Overview screen.
However, you cannot complete maintenance or troubleshooting steps
for them, and policies and configuration settings cannot be sent to
them and incidents are not received. Upgrade these agents to version
14.0 then to version 15.0.
15.5 14.6
14.5
14.0
14.6
14.5
14.0
12.5.x
Agents and the Endpoint Server send incidents based on existing
policies that were configured before the upgrade.
Policies and configuration settings cannot be sent to Endpoint Servers
and agents.
If the Endpoint Server restarts, all policies and configurations are
lost. Incidents are no longer sent to the server.

 

Note: You cannot run a version 11.x DLP Agent with a 14.5 Endpoint Server. Endpoint Servers are backward-compatible with a DLP Agent for one full release. For example, a version 14.5 Endpoint Server and a version 12.x DLP Agent are compatible. 

Please refer the respective version of the DLP upgrade guide for more information.